Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.digester
Class ObjectCreateRule

    java.lang.Object
      org.apache.commons.digester.Rule
          org.apache.commons.digester.ObjectCreateRule

    public class ObjectCreateRule

extends Rule

Rule implementation that creates a new object and pushes it onto the object stack. When the element is complete, the object will be popped

Field Summary
`protected String` | `attributeName` The attribute containing an override class name if it is present.
`protected String` | `className` The Java class name of the object to be created.

Fields inherited from class org.apache.commons.digester.Rule
`digester, namespaceURI`

Constructor Summary
`ObjectCreateRule(Class<?> clazz)` Construct an object create rule with the specified class.
`ObjectCreateRule(Digester digester, Class<?> clazz)` Deprecated. The digester instance is now set in the `Digester.addRule(java.lang.String, org.apache.commons.digester.Rule)` method. Use `ObjectCreateRule(Class clazz)` instead.
`ObjectCreateRule(Digester digester, String className)` Deprecated. The digester instance is now set in the `Digester.addRule(java.lang.String, org.apache.commons.digester.Rule)` method. Use `ObjectCreateRule(String className)` instead.
`ObjectCreateRule(Digester digester, String attributeName, Class<?> clazz)` Deprecated. The digester instance is now set in the `Digester.addRule(java.lang.String, org.apache.commons.digester.Rule)` method. Use `ObjectCreateRule(String attributeName, Class clazz)` instead.
`ObjectCreateRule(Digester digester, String className, String attributeName)` Deprecated. The digester instance is now set in the `Digester.addRule(java.lang.String, org.apache.commons.digester.Rule)` method. Use `ObjectCreateRule(String className, String attributeName)` instead.
`ObjectCreateRule(String className)` Construct an object create rule with the specified class name.
`ObjectCreateRule(String attributeName, Class<?> clazz)` Construct an object create rule with the specified class and an optional attribute name containing an override.
`ObjectCreateRule(String className, String attributeName)` Construct an object create rule with the specified class name and an optional attribute name containing an override.

Method Summary
`void` | `begin(Attributes attributes)` Process the beginning of this element.
`void` | `end()` Process the end of this element.
`String` | `toString()` Render a printable version of this Rule.

Methods inherited from class org.apache.commons.digester.Rule
`begin, body, body, end, finish, getDigester, getNamespaceURI, setDigester, setNamespaceURI`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### attributeName

    protected String attributeName

  The attribute containing an override class name if it is present.

### className

    protected String className

  The Java class name of the object to be created.

Constructor Detail

### ObjectCreateRule

    public ObjectCreateRule(Digester digester,
                            String className)

  Deprecated. The digester instance is now set in the `Digester.addRule(java.lang.String, org.apache.commons.digester.Rule)` method. Use `ObjectCreateRule(String className)` instead.

  Construct an object create rule with the specified class name.

  Parameters:
    `digester` - The associated Digester
    `className` - Java class name of the object to be created

### ObjectCreateRule

    public ObjectCreateRule(Digester digester,
                            Class<?> clazz)

  Deprecated. The digester instance is now set in the `Digester.addRule(java.lang.String, org.apache.commons.digester.Rule)` method. Use `ObjectCreateRule(Class clazz)` instead.

  Construct an object create rule with the specified class.

  Parameters:
    `digester` - The associated Digester
    `clazz` - Java class name of the object to be created

### ObjectCreateRule

    public ObjectCreateRule(Digester digester,
                            String className,
                            String attributeName)

  Deprecated. The digester instance is now set in the `Digester.addRule(java.lang.String, org.apache.commons.digester.Rule)` method. Use `ObjectCreateRule(String className, String attributeName)` instead.

  Construct an object create rule with the specified class name and an optional attribute name containing an override.

  Parameters:
    `digester` - The associated Digester
    `className` - Java class name of the object to be created
    `attributeName` - Attribute name which, if present, contains an override of the class name to create

### ObjectCreateRule

    public ObjectCreateRule(Digester digester,
                            String attributeName,
                            Class<?> clazz)

  Deprecated. The digester instance is now set in the `Digester.addRule(java.lang.String, org.apache.commons.digester.Rule)` method. Use `ObjectCreateRule(String attributeName, Class clazz)` instead.

  Construct an object create rule with the specified class and an optional attribute name containing an override.

  Parameters:
    `digester` - The associated Digester
    `attributeName` - Attribute name which, if present, contains an
    `clazz` - Java class name of the object to be created override of the class name to create

### ObjectCreateRule

    public ObjectCreateRule(String className)

  Construct an object create rule with the specified class name.

  Parameters:
    `className` - Java class name of the object to be created

### ObjectCreateRule

    public ObjectCreateRule(Class<?> clazz)

  Construct an object create rule with the specified class.

  Parameters:
    `clazz` - Java class name of the object to be created

### ObjectCreateRule

    public ObjectCreateRule(String className,
                            String attributeName)

  Construct an object create rule with the specified class name and an optional attribute name containing an override.

  Parameters:
    `className` - Java class name of the object to be created
    `attributeName` - Attribute name which, if present, contains an override of the class name to create

### ObjectCreateRule

    public ObjectCreateRule(String attributeName,
                            Class<?> clazz)

  Construct an object create rule with the specified class and an optional attribute name containing an override.

  Parameters:
    `attributeName` - Attribute name which, if present, contains an
    `clazz` - Java class name of the object to be created override of the class name to create

Method Detail

### begin

    public void begin(Attributes attributes)
               throws Exception

  Process the beginning of this element.

  Overrides:
    `begin` in class `Rule`
  Parameters:
    `attributes` - The attribute list of this element
  Throws:
    `Exception`

### end

    public void end()
             throws Exception

  Process the end of this element.

  Overrides:
    `end` in class `Rule`
  Throws:
    `Exception`

### toString

    public String toString()

  Render a printable version of this Rule.

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.